fop 1.1

## org.apache.fop.fonts.truetype
Interface TTFOutputStream

All Known Implementing Classes:
  PSTTFOutputStream

    public interface TTFOutputStream

An interface for writing a TrueType font to an output stream.

Method Summary
`void` `endFontStream()` Ends writing the font.
`TTFGlyphOutputStream` `getGlyphOutputStream()` Returns an object for streaming TrueType glyphs in the glyf table.
`TTFTableOutputStream` `getTableOutputStream()` Returns an object for streaming TrueType tables.
`void` `startFontStream()` Starts writing the font.

Method Detail

### startFontStream

    void startFontStream()
                         throws java.io.IOException

  Starts writing the font.

  Throws:
    `java.io.IOException`

### getTableOutputStream

    TTFTableOutputStream getTableOutputStream()

  Returns an object for streaming TrueType tables.

### getGlyphOutputStream

    TTFGlyphOutputStream getGlyphOutputStream()

  Returns an object for streaming TrueType glyphs in the glyf table.

### endFontStream

    void endFontStream()
                       throws java.io.IOException

  Ends writing the font.

  Throws:
    `java.io.IOException`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.